<?php
//Obtengo la ruta General de los archivos!
$uri ='../../Classes/core_class/consultasDb.php';

include_once($uri);

class estado_dispositivo_movil extends consultasDb
{
	public function __construct()
	{
		parent::__construct('');
		$this->setDbLink(parent::Conectar());
	}
	
	public function GetDispositivosMoviles()
	{	   
	   $dispositivos_moviles = new consultasDb('');
	   $dispositivos_moviles->setConsulta("SELECT NroDispositivoMovil FROM dispositivos_moviles");
	   $resultado_dispositivos_moviles = $dispositivos_moviles->query();
	   
	   $dispositivos_moviles_array= array();
	   while($row = $dispositivos_moviles->fetchArray($resultado_dispositivos_moviles))
	   {
			array_push($dispositivos_moviles_array,$row);
	   }	   
	   return $dispositivos_moviles_array;
	}

	public function Estado_Dispositivo($parametros)
	{		
		try
		{
			$mostrar_un_registro = new consultasDb("");
			$query ="call get_estado_dispositivo(".$parametros['estado_id'].","
											      .$parametros['numero_dispositivo_movil'].","
												  .$parametros['fecha_desde'].","
												  .$parametros['fecha_hasta'].");";

			$mostrar_un_registro->setConsulta($query);
			$q = $mostrar_un_registro->query();
			$mostrar_un_registro->Desconectar();
			
			$json = '{"aaData":[';
			
			if($q){
				$first = true;
				while($row = $mostrar_un_registro->fetchArray($q)){
					if($first) {
						$first = false;
					} else {
						$json .= ',';
					}
					$json .= '["'.$row["Fecha"].'","'.
								  $row["Hora"].'","'.
								  $row["NombreApellido"].'","'.
								  $row["NroDispositivoMovil"].'","'.
								  $row["Descripcion"].'","'.
								  $row["PosicionGPS"].'"]';
				}
				$json .= ']}';
			} else {
				$json .= '[]';
			}
			echo $json;
		} 
		catch (Exception $e) 
		{
			return 'Excepción capturada: '.  $e->getMessage(). "\n";
		}
	}
}
?>